List LinkedIn activity reactions

List reactions on a LinkedIn activity.

GET/v2/linkedin/activities/{activityId}/reactions
3credits
x-api-keystringheader

API key (`sfk_...`)

Parameters
3
activityIdstringrequiredpath

LinkedIn activity ID.

startintegeroptionalquery

≥ 0 · ≤ 9007199254740991

cursorstringoptionalquery

min 1 chars · max 16384 chars

Response fields
28
datasourceFamily
string

one of: live

datalookupStatus
string

one of: found, not_found

Person or organization that reacted when observed.

datareactions[]actorname
stringnullable

Actor display name when observed.

datareactions[]actorheadline
stringnullable

Actor headline when observed.

datareactions[]actorentityId
stringnullable

Actor entity identifier when observed.

datareactions[]actorid
stringnullable

Actor numeric or source identifier when observed.

datareactions[]actorurl
stringnullable

Actor LinkedIn URL when observed.

datareactions[]actorprofilePictureUrl
stringnullable

Actor profile picture URL when observed.

datareactions[]actortype
stringnullable

Actor source type when observed.

datareactions[]reactionType
stringnullable

Reaction type when observed.

datapagekind
string

one of: cursor, offset, page

datapagenextCursor
stringnullable
datapagehasMore
booleannullable

Null when continuation is unknown for this page.

datapagestart
integernullable

≥ 0

datapagepage
integernullable

≥ 0

datapagecount
integernullable

≥ 0

datapagereturnedCount
integer

≥ 0

datapagetotal
integernullable

≥ 0

datapagetotalPages
integernullable

≥ 0

datareportedTotal
numbernullable

Total reported for this page of results; not a guarantee of globally retrievable matches.

≥ 0

Metadata about the API response.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v2

Code example

curl "https://api.socialfetch.dev/v2/linkedin/activities/7506405584091541505/reactions" \
  -H "x-api-key: YOUR_API_KEY"

Responses

LinkedIn activity reactions.